# Configuration of Badges

{% hint style="info" %}
The configuration of badges is an advanced feature, do not hesitate to contact us if you need assistance. Ready to enter the matrix? 😂
{% endhint %}

![Learner Badges](/files/-MA7Bdmd840kzsSzUBH9)

## Step 1: Configure Badges in Advanced Settings&#x20;

To activate badges in your course, you must configure a set of elements in the advanced course settings.

1. From **Studio** Home, select the desired course to enter the **Course Outline**
2. Select **Settings > Advanced Settings**
3. Find the property '***Other Course Settings'***&#x20;
4. Copy / paste the code below into the text box. &#x20;
5. Save the modifications

```java
{
    "share_on_linkedin": "true",
    "badges": [
        {
            "assignment_type": "Quiz 1",
            "min_score": "70",
            "image": "fire_badge.png",
            "badge_name": "Name of Quiz 1 badge"
        },
        {
            "assignment_type": "Quiz 2",
            "min_score": "70",
            "image": "diamond_badge.png",
            "badge_name": "Name of Quiz 2 badge"
        },
        {
            "assignment_type": "Final Exam",
            "min_score": "50",
            "image": "rockstar_badge.png",
            "badge_name": "Name of Final Exam badge"
        }
    ],
    "share_on_facebook": "true"
}
```

![Make sure that the code is EXACTLY the same pay attention to the initial opening and closing braces { } ](/files/-MA6ppDwqTe4Ay8vS5gE)

## Step 2: Configure Badges in the Course Grading Menu

Below are the instructions for your badge configuration.&#x20;

* From ***Course Outline*** select ***Settings > Grading***&#x20;
* Select ***New Assignment Type***

![+ New Assignment Type](/files/-MA6slvWxlQJ0buVfnFz)

* Add the name of the `assignment_type`  (previously configured in ***Settings > Advanced Settings > Other Course Settings*** ) for which the badge will refer.&#x20;

{% hint style="info" %}
In the code you copy & pasted from Step 1, we used "Quiz 1", "Quiz 2", and "Final Exam".&#x20;
{% endhint %}

![](/files/-MA6xfgbrQVLxin2Os-n)

{% hint style="info" %}
*If you want to change name of the assignment type, you will need to go back to **Settings > Advanced Setting > Other Course Settings** and modify it in the code.*&#x20;
{% endhint %}

* `min_score`: Refers to the minimum score required of the learner to obtain the badge. If you have several assignments of the same type, this is the average for the type of assignment configured in`assignment_type`. *For example, you could configure multiple assignments / quizzes to be graded as 'Quiz 1', and the learner would achieve the badge after having completed all those assignments / quizzes and achieving an average of at least the 'minimum score'.*&#x20;
* `image`: This is the name for the image of the badge. You can upload your badge images in ***Content > Files & Uploads***. Avoid special characters and spaces in image file names. Make sure the name of your images match the image names in your 'badge code'. &#x20;

![](/files/-MA7DgXuhDeSUl7rL_Ox)

* `badge_name`: This is the name of the badge as it will be visible to learners of your course.&#x20;
* `share_on_facebook` : `true` or `false` to activate sharing of the badge on Facebook
* `share_on_linkedin` : `true` or `false` to activate sharing of the badge on LinkedIn

To add a badge, simply copy and paste all the elements between the braces `{ assignment_type... },` and separating each group with a comma.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moocit.fr/english/advanced/configuration-of-badges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
